"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MDTable = exports.MDListItem = exports.MDList = exports.MDParagraph = exports.MDHeading = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _components = require("@looker/components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MDHeading = (0, _styledComponents.default)(_components.Heading).attrs(_ref => {
  var {
    mb = 'xsmall',
    pt = 'xsmall'
  } = _ref;
  return {
    mb,
    pt
  };
}).withConfig({
  displayName: "common__MDHeading",
  componentId: "i00oep-0"
})([""]);
exports.MDHeading = MDHeading;
var MDParagraph = (0, _styledComponents.default)(_components.Paragraph).attrs(_ref2 => {
  var {
    mb = 'large'
  } = _ref2;
  return {
    mb
  };
}).withConfig({
  displayName: "common__MDParagraph",
  componentId: "i00oep-1"
})(["color:", ";max-width:600px;"], _ref3 => {
  var {
    theme
  } = _ref3;
  return theme.colors.text5;
});
exports.MDParagraph = MDParagraph;

var OListInternal = _styledComponents.default.ol.withConfig({
  displayName: "common__OListInternal",
  componentId: "i00oep-2"
})(["max-width:600px;margin-bottom:20px;"]);

var UListInternal = _styledComponents.default.ul.withConfig({
  displayName: "common__UListInternal",
  componentId: "i00oep-3"
})(["max-width:600px;margin-bottom:20px;"]);

var MDList = _ref4 => {
  var {
    ordered
  } = _ref4,
      rest = _objectWithoutProperties(_ref4, ["ordered"]);

  return ordered ? _react.default.createElement(OListInternal, rest) : _react.default.createElement(UListInternal, rest);
};

exports.MDList = MDList;

var MDListItem = _styledComponents.default.li.withConfig({
  displayName: "common__MDListItem",
  componentId: "i00oep-4"
})(["max-width:600px;margin-bottom:4px;"]);

exports.MDListItem = MDListItem;
var MDTable = (0, _styledComponents.default)(_components.Table).attrs(_ref5 => {
  var {
    mb = 'large'
  } = _ref5;
  return {
    mb
  };
}).withConfig({
  displayName: "common__MDTable",
  componentId: "i00oep-5"
})([""]);
exports.MDTable = MDTable;
//# sourceMappingURL=common.js.map